This section documents the errors that the Knowledge Model API may return (standard error messages are described in Common API Error Catalog).
| Returned when | Response | |
|---|---|---|
| Status code | Example | |
Requesting a non-existing field in the sort parameter. | 400 | {
"title": "Some fields in sort don't exist in fields.",
"status": 400,
"detail": "The sort field does not exist.",
"errorCode": "SORT_UNKNOWN_FIELD"
} |
Sending, as part of the sort parameter, the same field with opposite sorting criterias. | 400 | {
"title": "Some sort fields have duplicated fields.",
"status": 400,
"detail": "Conflicting sort parameters: duplicate fields with opposite directions.",
"errorCode": "SORT_HAS_OPPOSITE"
} |
Sending an empty sort parameter. | 400 | {
"title": "Sort parameter error length.",
"status": 400,
"detail": "Sort parameter should not be empty.",
"errorCode": "SORT_IS_EMPTY"
} |
| Referencing a non-existing Knowledge Model. | 404 | {
"title": "Knowledge Model not found.",
"status": 404,
"detail": "Knowledge Model with id 'XXXX' was not found.",
"errorCode": "KM_MODEL_NOTFOUND"
} |
| Referencing a non-existing record. | 404 | {
"title": "Records not found.",
"status": 404,
"detail": "Record Id(s) does not exist in Knowledge Model.",
"errorCode": "KM_RECORD_NOTFOUND"
} |
| Returned when | Response | |
|---|---|---|
| Status code | Example | |
Not sending the fields and kpis parameters. | 400 | {
"title": "Missing parameters.",
"status": 400,
"detail": "Required request parameter 'fields' for method parameter type List is not present",
"errorCode": "GENERAL_PARAMETER_MISSING"
} |
Passing an empty fields parameter. | 400 | {
"title": "Some params have constraint violations.",
"status": 400,
"detail": "[fields: size must be between 1 and 200]",
"errorCode": "GENERAL_CONSTRAINT_VIOLATION"
} |
Requesting a non-existing field as part of the fields parameter. | 400 | {
"title": "Field not found.",
"status": 400,
"detail": "Fields not found: test. Note: Fields are case sensitive.",
"errorCode": "KM_FIELD_NOTFOUND"
} |
Requesting a non-existing field in the sort parameter. | 400 | {
"title": "Unknown sorting fields",
"status": 400,
"detail": "These fields don't exist at the given record [test].",
"errorCode": "SORT_UNKNOWN_FIELD"
} |
Referencing a non-existing filter as part of the filters parameter. | 404 | {
"title": "Filter not found.",
"status": 404,
"detail": "Filter not Found: name.",
"errorCode": "FILTERS_FILTER_NOTFOUND"
} |
Using a non-filterable field in the filterExpr parameter. | 400 | {
"title": "Field not filterable.",
"status": 400,
"detail": "Field not filterable: mykpi",
"errorCode": "FILTERS_FIELD_UNFILTERABLE"
} |
Using an invalid expression as part of the filterExpr parameter. | 400 | {
"title": "Invalid expression structure.",
"status": 400,
"detail": "Invalid expression structure: mykpi eq",
"errorCode": "FILTERS_EXPRESSION_ILLEGAL"
} |
Using an invalid operator for the filterExpr parameter. | 400 | {
"title": "Invalid expression Operator.",
"status": 400,
"detail": "Invalid expression Operator: sq",
"errorCode": "FILTERS_OPERATOR_ILLEGAL"
} |
Using an invalid syntax for the filterExpr parameter. | 400 | {
"title": Failure getting results.",
"status": 400,
"detail": "Syntax error found in filterExpr. Please refer to the API documentation.",
"errorCode": "GENERAL_RESULTS_FAILURE"
} |
Sending a page bigger than 19.(When using pageSize = 50) | 400 | {
"title": "Some params have constraint violations.",
"status": 400,
"detail": "[page: value must be between 0 and 19]",
"errorCode": "PAGE_VALUE_ILLEGAL"
} |
Sending a pageSize bigger than 50. | 400 | {
"title": "Some params have constraint violations.",
"status": 400,
"detail": "[pageSize: size must be between 1 and 50]",
"errorCode": "PAGE_SIZE_ILLEGAL"
} |
Sending special characters in the sort parameter. 400 | 400 | {
"title": "Special characters are not allowed.",
"status": 400,
"detail": "Some special characters were found and they are not allowed for querying.",
"errorCode": "GENERAL_CHARS_NOTALLOWED"
} |
Specifying a date in filterExpr in the wrong format. | 400 | {
"title": "Invalid Value format.",
"status": 400,
"detail": "Invalid Value format: ",
"errorCode": "GENERAL_WRONG_VALUE"
} |
Using an invalid option in options parameter. | 400 | {
"title": "Query option not supported.",
"status": 400,
"detail": "[options: illegal option 'invalid']",
"errorCode": "OPTION_ILLEGAL",
} |
| There is an unexpected error as part of this request. | 400 | {
"title": No data found.",
"status": 400,
"detail": "Error details",
"errorCode": "GENERAL_EMPTY_DATA"
} |
| There is an unexpected error as part of this request. | 400 | {
"title": "Knowledge Model Field Id repeated.",
"status": 400,
"detail": "Knowledge Model with repeated Field Ids: [FIELD_ID]. Please fix the Knowledge Model configuration.",
"errorCode": "KM_FIELD_ID_DUPLICATED"
"type": "https://developer.celonis.com/knowledge-model-api/error-catalog/"
} |
Using malformed error when searchField or searchTerm are empty. | 400 | {
"title": "Malformed expression",
"status": 400,
"detail": "Term and field search parameters should be filled",
"errorCode": "SEARCH_MATCH_EXPRESSION"
} |
Using error when searchField value is not exist. | 400 | {
"title": "Search match field not found",
"status": 400,
"detail": "Field not found: XXX",
"errorCode": "SEARCH_FIELD_NOT_FOUND"
} |
Using error when kpis value is not exist. | 400 | {
"title": "KPI not found.",
"status": 400,
"detail": "KPI not found: kpiId. Note: KPI are case sensitive.",
"errorCode": "KM_KPI_NOTFOUND"
} |
Using error when kpis value contains special characters. | 400 | {
"title": "KPI not allowed.",
"status": 400,
"detail": "KPI contains not allowed special chars",
"errorCode": "KM_KPI_ILLEGALCHARS"
} |
Using error when fields value does not contain recordId. | 400 | {
"title": "Field with wrong format.",
"status": 400,
"detail": "Field with wrong format, it should contain recordId.fieldId: fieldId",
"errorCode": "GENERAL_PARAMETER_ILLEGAL"
} |
| Returned when | Response | |
|---|---|---|
| Status code | Example | |
Not sending the fields parameter. | 400 | {
"title": "Missing parameters.",
"status": 400,
"detail": "Required request parameter 'fields' for method parameter type List is not present",
"errorCode": "GENERAL_PARAMETER_MISSING"
} |
Passing an empty fields parameter. | 400 | {
"title": "Some params have constraint violations.",
"status": 400,
"detail": "[fields: size must be between 1 and 200]",
"errorCode": "GENERAL_CONSTRAINT_VIOLATION"
} |
Requesting a non-existing field as part of the fields parameter. | 400 | {
"title": "Field not found.",
"status": 400,
"detail": "Fields not found: test. Note: Fields are case sensitive.",
"errorCode": "KM_FIELD_NOTFOUND"
} |
Requesting a non-existing field in the sort parameter. | 400 | {
"title": "Unknown sorting fields",
"status": 400,
"detail": "These fields don't exist at the given record [test].",
"errorCode": "SORT_UNKNOWN_FIELD"
} |
Referencing a non-existing filter as part of the filters parameter. | 404 | {
"title": "Filter not found.",
"status": 404,
"detail": "Filter not Found: name.",
"errorCode": "FILTERS_FILTER_NOTFOUND"
} |
Using a non-filterable field in the filterExpr parameter. | 400 | {
"title": "Field not filterable.",
"status": 400,
"detail": "Field not filterable: mykpi",
"errorCode": "FILTERS_FIELD_UNFILTERABLE"
} |
Using an invalid expression as part of the filterExpr parameter. | 400 | {
"title": "Invalid expression structure.",
"status": 400,
"detail": "Invalid expression structure: mykpi eq",
"errorCode": "FILTERS_EXPRESSION_ILLEGAL"
} |
Using an invalid operator for the filterExpr parameter. | 400 | {
"title": "Invalid expression Operator.",
"status": 400,
"detail": "Invalid expression Operator: sq",
"errorCode": "FILTERS_OPERATOR_ILLEGAL"
} |
Using an invalid syntax for the filterExpr parameter. | 400 | {
"title": Failure getting results.",
"status": 400,
"detail": "Syntax error found in filterExpr. Please refer to the API documentation.",
"errorCode": "GENERAL_RESULTS_FAILURE"
} |
Sending a page bigger than 19. (When using pageSize = 50) | 400 | {
"title": "Some params have constraint violations.",
"status": 400,
"detail": "[page: value must be between 0 and 19]",
"errorCode": "PAGE_VALUE_ILLEGAL"
} |
Sending a pageSize bigger than 50. | 400 | {
"title": "Some params have constraint violations.",
"status": 400,
"detail": "[pageSize: size must be between 1 and 50]",
"errorCode": "PAGE_SIZE_ILLEGAL"
} |
Sending special characters in the sort parameter. | 400 | {
"title": "Special characters are not allowed.",
"status": 400,
"detail": "Some special characters were found and they are not allowed for querying.",
"errorCode": "GENERAL_CHARS_NOTALLOWED"
} |
Specifying a date in filterExpr in the wrong format. | 400 | {
"title": "Invalid Value format.",
"status": 400,
"detail": "Invalid Value format: ",
"errorCode": "GENERAL_WRONG_VALUE"
} |
Using an invalid option in the options parameter. | 400 | {
"title": "Query option not supported.",
"status": 400,
"detail": "[options: illegal option 'invalid']",
"errorCode": "OPTION_ILLEGAL",
} |
| There is an unexpected error as part of this request. | 400 | {
"title": No data found.",
"status": 400,
"detail": "Error details",
"errorCode": "GENERAL_EMPTY_DATA"
} |
Using malformed error when searchField or searchTerm are empty. | 400 | {
"title": "Malformed expression",
"status": 400,
"detail": "Term and field search parameters should be filled",
"errorCode": "SEARCH_MATCH_EXPRESSION"
} |
Using error when searchField value is not exist. | 400 | {
"title": "Search match field not found",
"status": 400,
"detail": "Field not found: XXX",
"errorCode": "SEARCH_FIELD_NOT_FOUND"
} |
Sending special characters in the searchField parameter. | 400 | {
"title": "Search match fields not allowed.",
"status": 400,
"detail": "Search match fields contain prohibited special characters.",
"errorCode": "SEARCH_FIELDS_ILLEGALCHARS"
} |
Sending special characters in the searchTerm parameter. | 400 | {
"title": "Search match terms not allowed.",
"status": 400,
"detail": "Search match terms contain prohibited special characters.",
"errorCode": "SEARCH_TERMS_ILLEGALCHARS"
} |